<?php
/**
* @version		$Id: mod_flexheader2.php 2008 Andre Hotzler $
* @package		Joomla
* @copyright	Copyright (C) 2005 - 2008 Andre Hotzler. All rights reserved.
* @license		GNU/GPL, see license_gpl.txt
* Joomla! is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

//Vars
$fl_cversion = trim( $params->get( 'cversion' ) );
$fl_folder_location	= trim( $params->get( 'folder_location' ) );
$fl_folder_name = trim( $params->get( 'folder_name' ) );
$fl_default_image = trim( $params->get( 'default_image' ) );
$fl_file_type = '.'.trim( $params->get( 'file_type' ) );
$fl_height = trim( $params->get( 'height' ) );
$fl_width = trim( $params->get( 'width' ) );
$fl_dimensionstype = trim( $params->get( 'dimensionstype' ) );
if ($params->get( 'css_class')) {
	$fl_css_class = trim( $params->get( 'css_class' ) );}
	else { $fl_css_class = ""; };;
$fl_debug_opac = trim( $params->get( 'debug_opac' ) );
$fl_debug_position = trim( $params->get( 'debug_position' ) );
$fl_debug_color = trim( $params->get( 'debug_bg_color' ) );
if ($params->get( 'debug') == "no") {
		$fl_dev_debug = "";
		$fl_debug = "";
	} elseif ($params->get( 'debug') == "normal") {
		$fl_dev_debug = "";
		$fl_debug = "1";
	} elseif ($params->get( 'debug') == "dev") {
		$fl_dev_debug = "1";
		$fl_debug = "1";};
$fl_display_type = trim( $params->get( 'display_type' ) );
if ($fl_display_type == "swf") {
$fl_file_type ='.swf'; };
if ($params->get( 'div_content' )) {
	$fl_div_content= trim( $params->get( 'div_content' ) ); }
	else { $fl_div_content= ""; };
if ($params->get( 'alt_text' )) {
	$fl_alt_text= trim($params->get( 'alt_text' )); }
	else { $fl_alt_text= ""; };
$fl_jfsupport = trim( $params->get( 'jfsupport' ) );
//J! vars
if (JRequest::getVar( 'lang', 0 )) {
$fl_jflang = JRequest::getVar( 'lang', 0 );}
	else { $fl_jflang = ""; };
$fl_template = $mainframe->getTemplate();
$fl_id = intval(JRequest::getVar( 'id', 0 ) );
$fl_itemid = intval(JRequest::getVar( 'Itemid', 0 ) );
if (JRequest::getVar( 'catid', 0 )) {
$fl_catid = intval(JRequest::getVar( 'catid', 0 ) ); }
	else { $fl_catid = ""; };
$fl_view = trim(JRequest::getVar( 'view', 0 ) );
$fl_layout = trim(JRequest::getVar( 'layout', 0 ) );
$fl_webdirname = JURI::base($pathonly=true).'/';
$fl_jroot = JPATH_ROOT.'/';
$lf_linksupport = $params->get( 'linksupport' );
$fl_linktarget = trim( $params->get( 'linktarget' ) );

//combined vars    

//image location
if ($fl_folder_location=='images') {
	$fl_rl_folder_location = 'images'; 
	} elseif 	($fl_folder_location=='template') {
	$fl_rl_folder_location = 'templates/'.$fl_template;
	}
$fl_fs_image_location = $fl_jroot.$fl_rl_folder_location.'/'.$fl_folder_name.'/';
$fl_web_image_location = $fl_webdirname.$fl_rl_folder_location.'/'.$fl_folder_name.'/';


//build a name from type of view and ids

if ($fl_jfsupport ) {
$fl_jflangc = '-'.$fl_jflang; }
	else { $fl_jflangc  = ""; };
$fl_web_image_category_name = $fl_fs_image_location.$fl_itemid.'-'.$fl_catid.$fl_jflangc.$fl_file_type;
	$fl_fs_image_default_name = $fl_fs_image_location.$fl_default_image.$fl_jflangc.$fl_file_type; 
	$fl_fs_image_content_name = $fl_fs_image_location.$fl_itemid.$fl_jflangc.$fl_file_type; 
	$fl_fs_image_contentmenu_name = $fl_fs_image_location.$fl_itemid.'-'.$fl_id.$fl_jflangc.$fl_file_type;
	$fl_web_image_default_name = $fl_web_image_location.$fl_default_image.$fl_jflangc.$fl_file_type; 
	$fl_web_image_content_name = $fl_web_image_location.$fl_itemid.$fl_jflangc.$fl_file_type; 
	$fl_web_image_contentmenu_name = $fl_web_image_location.$fl_itemid.'-'.$fl_id.$fl_jflangc.$fl_file_type;

//Find image file

if (file_exists($fl_fs_image_contentmenu_name)) {
	$fl_web_output_image = $fl_web_image_contentmenu_name; }
elseif (file_exists($fl_fs_image_content_name))	{
	$fl_web_output_image = $fl_web_image_content_name; }
elseif (file_exists($fl_fs_image_default_name))	{
	$fl_web_output_image = $fl_web_image_default_name; }
	else {
	$fl_web_output_image = ""; };

// Include the syndicate functions only once
require_once( dirname(__FILE__).DS.'helper.php' );

$flexheader2 = modFlexHeader2Helper::flexheader2 ($fl_cversion, $fl_folder_location, $fl_folder_name, $fl_default_image, $fl_file_type, $fl_height, $fl_debug_opac, $fl_width, $fl_debug_position, $fl_debug, $fl_dev_debug, $fl_display_type, $fl_div_content, $fl_template, $fl_itemid, $fl_id, $fl_webdirname, $fl_jroot, $fl_fs_image_location, $fl_rl_folder_location, $fl_web_image_location, $fl_debug_color, $fl_web_image_content_name, $fl_catid, $fl_web_image_contentmenu_name, $fl_view, $fl_layout, 	$fl_fs_image_content_name ,$fl_fs_image_content_name ,$fl_fs_image_contentmenu_name,$fl_web_output_image, $fl_web_image_default_name, $fl_fs_image_default_name,$fl_css_class, $fl_jflang,$fl_jflangc,$fl_alt_text,$fl_jfsupport, $fl_dimensionstype, $lf_linksupport, $fl_linktarget);
require( JModuleHelper::getLayoutPath( 'mod_flexheader2' ) );

//unset all vars
unset ($fl_cversion, $fl_folder_location, $fl_folder_name, $fl_default_image, $fl_file_type, $fl_height, $fl_debug_opac, $fl_width, $fl_debug_position, $fl_debug, $fl_dev_debug, $fl_display_type, $fl_div_content, $fl_template, $fl_itemid, $fl_id, $fl_webdirname, $fl_jroot, $fl_fs_image_location, $fl_rl_folder_location, $fl_web_image_location, $fl_debug_color, $fl_web_image_content_name, $fl_catid, $fl_web_image_contentmenu_name, $fl_view, $fl_layout, 	$fl_fs_image_content_name ,$fl_fs_image_content_name ,$fl_fs_image_contentmenu_name,$fl_web_output_image, $fl_web_image_default_name, $fl_fs_image_default_name,$fl_css_class, $fl_jflang,$fl_jflangc,$fl_alt_text,$fl_jfsupport ,$fl_docroot, $fl_dimensionstype, $lf_linksupport, $fl_linktarget);

?>
