<?php

/**
 * Helper class for Flexheader2 module
 * 
 * @package  Joomla
 * @subpackage Modules
 * @link http://www.andrehotzler-de
 * @license        GNU/GPL, see license_gpl.txt
 * mod_flexheader is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 */

class modFlexHeader2Helper
	{function flexheader2($fl_cversion, $fl_folder_location, $fl_folder_name, $fl_default_image, $fl_file_type, $fl_height, $fl_debug_opac, $fl_width, $fl_debug_position, $fl_debug, $fl_dev_debug, $fl_display_type, $fl_div_content, $fl_template, $fl_itemid, $fl_id, $fl_webdirname, $fl_jroot, $fl_fs_image_location, $fl_rl_folder_location, $fl_web_image_location, $fl_debug_color, $fl_web_image_content_name, $fl_catid, $fl_web_image_contentmenu_name, $fl_view, $fl_layout, 	$fl_fs_image_content_name ,$fl_fs_image_content_name ,$fl_fs_image_contentmenu_name,$fl_web_output_image, $fl_web_image_default_name, $fl_fs_image_default_name,$fl_css_class, $fl_jflang,$fl_jflangc,$fl_alt_text,$fl_jfsupport, $fl_dimensionstype, $lf_linksupport, $fl_linktarget)
    {
				//Debug
				if ($fl_debug OR $fl_dev_debug) {
						echo '<div style="border: 0; z-index: 99; margin: 0px; padding: 5px;height:auto; width:100%; display: block; filter:alpha(opacity='.$fl_debug_opac.'); -moz-opacity:.'.$fl_debug_opac.'; opacity:.'.$fl_debug_opac.'; position: fixed; '.$fl_debug_position.':0; left:0; background-color:'.$fl_debug_color.'; color: white">';
						echo '<strong>'.JText::_("FLDEBUGINTRO").'</strong><br /><br />';
						echo JText::_("FLIMAGENAME").'<strong> '.$fl_fs_image_contentmenu_name.'</strong><br />';
						echo  JText::_("FLIMAGEMNAME").'<strong> '.$fl_fs_image_content_name.'</strong><br />';
						echo '<br />';
						echo JText::_("FLUSEDIMAGE").'<strong> ';if ($fl_web_output_image) {echo $fl_web_output_image; } else {echo JText::_("FLNOIMAGEFOUND").'<br />'.$fl_fs_image_default_name;}; echo '</strong><br />';
							if ($fl_dev_debug) {
									echo '<br /><strong>Developer Debug Information</strong><br /><br />';
									echo '<div style="float: left; width: 50%">';
									echo 'Folder Location: '.$fl_folder_location.'<br />';
									echo 'Real Folder Location: '.$fl_rl_folder_location.'<br />';
									echo 'Folder Name: '.$fl_folder_name.'<br />';
									echo 'Default Image: '.$fl_default_image.'<br />';
									echo 'File Type: '.$fl_file_type.'<br />';
									echo 'Height: '.$fl_height.'<br />';
									echo 'Width: '.$fl_width.'<br />';
									echo 'Indication of Dimensions: '.$fl_dimensionstype.'<br />';								
									echo 'Debug_opac: '.$fl_debug_opac.'<br />';
									echo 'Developer_Debug: '.$fl_dev_debug.'<br />';
									echo 'Display_Mode: '.$fl_display_type.'<br />';
									echo 'DIV Content: '.$fl_div_content.'<br />';
									echo 'ALT Text: '.$fl_alt_text.'<br />';
									echo 'Template: '.$fl_template.'<br />';
									echo 'Default FS Image: '.$fl_fs_image_default_name.'<br />';
									echo 'Default Web Image: '.$fl_web_image_default_name.'<br />';			
									echo 'Joomfish Support in FL enabled: '.$fl_jfsupport.'<br />';					
									echo 'Joomfish Language: '.$fl_jflang;	
									echo '</div>';
									echo '<div style="float: right; width: 50%">';
									echo 'ID: '.$fl_id.'<br />';
									echo 'ItemID: '.$fl_itemid.'<br />';
									echo 'CatID: '.$fl_catid.'<br />';
									echo 'View: '.$fl_view.'<br />';
									echo 'Layout: '.$fl_layout.'<br />';					
									echo 'WebDirName: '.$fl_webdirname.'<br />';
									echo 'Joomla Root on Server: '.$fl_jroot.'<br />';
									echo 'Filesystem Image Location: '.$fl_fs_image_location.'<br />';
									echo 'Web Image Location: '.$fl_web_image_location.'<br />';	
									echo 'Debug_postion: '.$fl_debug_position.'<br />';
									echo 'Debug: '.$fl_debug.'<br />';
									echo 'Debug_BG_Color: '.$fl_debug_color.'<br />';					
									echo 'Web Content Name : '.$fl_web_image_content_name.'<br />';
									echo 'Web ContentMenu Name : '.$fl_web_image_contentmenu_name.'<br />';
									echo 'Flexheader2 CSS Class: '.$fl_css_class.'<br />';
									echo 'LinkSupport: '.$lf_linksupport.'<br />';;
									echo 'LinkTarget: '.$fl_linktarget.'<br />';;
									echo 'Flexheader2 Version: '.$fl_cversion;
									echo '</div>';			
								}
						echo '</div>';
						}
						
				//Web/HTML Output
				if ($fl_web_output_image) {
					if ($lf_linksupport) {
						echo '<a href="'.$fl_linktarget.'" style="border: 0;">';
						};
				
					if ($fl_display_type == "div") {
						//DIV
						echo '<div ';
						if ($fl_css_class) echo 'class="'.$fl_css_class.'"';
						echo ' style="border: 0; width:'.$fl_width.$fl_dimensionstype.'; height:'.$fl_height.$fl_dimensionstype.';';
						echo ' background-image:url('.$fl_web_output_image.');';
						echo '">';
						echo $fl_div_content;
						echo '</div>';
						}
					elseif ($fl_display_type == "img") {
						echo '<img ';
						if ($fl_css_class) echo 'class="'.$fl_css_class.'"';
						echo ' style="border: 0; width:'.$fl_width.$fl_dimensionstype.'; height:'.$fl_height.$fl_dimensionstype.';';
						echo '" alt="'.$fl_alt_text.'" title="'.$fl_alt_text.'" src="'.$fl_web_output_image.'" />';	
						}
					elseif ($fl_display_type == "swf") {
						echo '<object ';
						if ($fl_css_class) echo 'class="'.$fl_css_class.'"';
						echo 'classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,29,0" width="'.$fl_width.'" height="'.$fl_height.'">';
						echo '<param name="movie" value="'.$fl_web_output_image.'" />';
						echo '<param name="quality" value="autolow" />';
						echo '<param name="wmode" value="transparent">';
						echo '<embed src="'.$fl_web_output_image.'" quality="high" wmode="transparent" pluginspage="http://www.macromedia.com/go/getflashplayer" type="application/x-shockwave-flash" width="'.$fl_width.'" height="'.$fl_height.'"></embed>';
						echo '</object>';
						}
					if ($lf_linksupport) {
						echo '</a>';
						};						
						
				} else {
					//DIV
					echo '<div class="flexheader2';
					if ($fl_css_class) echo '-'.$fl_css_class;
					echo '" style="background-color: red; color: white; width:'.$fl_width.$fl_dimensionstype.'; height:'.$fl_height.$fl_dimensionstype.';';
					echo '">';
					echo JText::_("FLNODEFAULTIMAGEFOUND").'<br />'.$fl_fs_image_default_name;
					echo '</div>';
				};
		}
	}
?>